extends Area2D

@export var type: String

var w: Node
# Called when the node enters the scene tree for the first time.
func _ready():
	w = get_node("/root/World")
#	print(w)

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func spin():
	$AnimationPlayer.play("spin")
